Subject: [Sigtran] A question about M3UA association setup between 1 ASP and 2 SGP

From: mosbah abdelkader <[email-masked]>
Date: Wed, 13 Apr 2011 16:06:57 +0100

Hi,

I have an M3UA configuration where an ASP communicates with 2 SGP (STP). The
file attached describes the M3UA message flow between the ASP and the 2 SGP.

Is this sequence correct regarding M3UA specifications?

I am using M3UA rfc3332.

Please help.

--
Best Regards
Abdelkader Mosbah

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Wed, 13 Apr 2011 18:26:52 -0600

mosbah,

What did you think was the matter with it?

--brian

mosbah abdelkader wrote:                     (Wed, 13 Apr 2011 16:06:57)
>    Hi,
>    I have an M3UA configuration where an ASP communicates with 2 SGP
>    (STP). The file attached describes the M3UA message flow between the
>    ASP and the 2 SGP.

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

---

From: mosbah abdelkader <[email-masked]>
Date: Thu, 14 Apr 2011 06:23:32 +0200

I want just to know if that config works with other implementations.

---

From: "Jaddu, Suresh (NSN - IN/Bangalore)" <[email-masked]>
Date: Thu, 14 Apr 2011 12:14:59 +0800

it looks fine to me. I believe one SGP or more the initial message
sequence will not change.
 
Suresh.

________________________________

From: [email-masked] [mailto:[email-masked]] On
Behalf Of ext mosbah abdelkader
Sent: Wednesday, April 13, 2011 8:37 PM
To: [email-masked]
Subject: [Sigtran] A question about M3UA association setup between 1 ASP
and2 SGP

Hi,

I have an M3UA configuration where an ASP communicates with 2 SGP (STP).
The file attached describes the M3UA message flow between the ASP and
the 2 SGP.

I am using M3UA rfc3332.

Please help.

--
Best Regards
Abdelkader Mosbah

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Wed, 13 Apr 2011 23:34:06 -0600

mosbah,

RFC 3332 is long obsolete.  Don't use it.  Your
implementation must meet RFC 4666 to be interoperable.

--brian

mosbah abdelkader wrote:                          (Thu, 14 Apr 2011 06:23:32)
>    <[1][email-masked]> wrote:
> 
>      mosbah,

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

---

From: mosbah abdelkader <[email-masked]>
Date: Thu, 14 Apr 2011 11:57:03 +0100

Ok Brian,

Thank you.

---

From: mosbah abdelkader <[email-masked]>
Date: Thu, 14 Apr 2011 16:21:32 +0100

Hi Brian,

Dialogic SS7 stack still use rfc3332. A time ago, We have provided an
mono-homed M3UA stack implementing rfc3332 to a customer and they have used
it with France Telecom network and it works properly.

Now we are implementing the multi-homed version with connection to more than
one STP in the ASP side.

The message flow that I have sent in the first mail shows the interaction of
the ASP with 2 SGP (STP).

So, supposing we are using rfc3332, still this configuration correct for the
interaction between an ASP and 2 STP?

Any guidance is very appreciated.

--
BR
Abdelkader Mosbah

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Thu, 14 Apr 2011 09:50:41 -0600

mosbah,

Although it may appear at first blush that RFC 3332 and RFC 4666
interoperate, they do not.  Someone in France is risking their
SS7 network to save a couple of bucks?  Tsk, tsk.

--brian

mosbah abdelkader wrote:                                            (Thu, 14 Apr 2011 16:21:32)
>    mono-homed M3UA stack implementing rfc3332 to a customer and they have
>    used it with France Telecom network and it works properly.
>    Now we are implementing the multi-homed version with connection to more
>    than one STP in the ASP side.
>    The message flow that I have sent in the first mail shows the
>    interaction of the ASP with 2 SGP (STP).
>    So, supposing we are using rfc3332, still this configuration correct
>    for the interaction between an ASP and 2 STP?
>    >    <[1][2][email-masked]> wrote:
>    >
>    >      mosbah,
>    >    >    (STP). The file attached describes the M3UA message flow
>    between
>    >    the
>    >    >    ASP and the 2 SGP.
>    [3][email-masked]
>    [4]http://www.openss7.org/
> 
> References
> 
>    1. mailto:[email-masked]
>    2. mailto:[email-masked]
>    3. mailto:[email-masked]
>    4. http://www.openss7.org/

> _______________________________________________
> Sigtran mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/sigtran

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

---

From: mosbah abdelkader <[email-masked]>
Date: Thu, 14 Apr 2011 17:17:50 +0100

It is not a question of interoperability especially if the 2 ends are using
rfc3332.

My question is simple and clear: using rfc3332, is the message flow in
question, between an ASP and 2 STP, correct.

If you do not have the response, please let other persons take the response
!!!

Thank you.

On Thu, Apr 14, 2011 at 4:50 PM, Brian F. G. Bidulock
<[email-masked]>wrote:

> >    >    >    I have an M3UA configuration where an ASP communicates with
> 2
> >    SGP

---

From: "David Laight" <[email-masked]>
Date: Thu, 14 Apr 2011 17:18:11 +0100

> implementation must meet RFC 4666 to be interoperable.

Does a certain large, well known, network equipment supplier
support RFC 4666 yet?

We had to add a bodge because it doesn't bother to tell
loadsharing ASP the state (so we won't send data and
reject received data ...)

	David

---

From: "David Laight" <[email-masked]>
Date: Thu, 14 Apr 2011 17:19:41 +0100

> It is not a question of interoperability especially
> if the 2 ends are using rfc3332.

rfc3332 doesn't work!
A second loadsharing ASP isn't told the state.

---

From: mosbah abdelkader <[email-masked]>
Date: Thu, 14 Apr 2011 19:25:58 +0200

Hi,

I am sorry for providing an incorrct information: Our M3UA rfc3332
implementation is not used yet in any carrier network. I have got the
correct info from my customer: They are using it internally with Dialogic
Stack.

Thank you for help and I am sorry again.

--
BR

---

From: mosbah abdelkader <[email-masked]>
Date: Thu, 14 Apr 2011 19:28:49 +0200

Ok.

I can say again that Dialogic still use rfc3332. You can see that in their
website. They havn't yet updated to rfc4446.

If I respect rfc3332, my stack can still work with Dialogic M3UA
implementation.

--
BR

---

From: Chris Benson <[email-masked]>
Date: Thu, 14 Apr 2011 10:34:38 -0700 (PDT)

David,

>>  A second loadsharing ASP isn't told the state.

Do you mean, even if the SG/SGP fully implements all NOTIFY 
aspects of RFC 3332 Section 4.3.4.5?  Or do you mean "it" 
doesn't work if the SHOULD of Paragraph 2 is taken to mean 
"DON'T BOTHER"?

With thanks, from Chris Benson.

On Thu, 14 Apr 2011, David Laight wrote:

>>  Date: Thu, 14 Apr 2011 17:19:41 +0100
>>  From: David Laight <[email-masked]>
>>  To: mosbah abdelkader <[email-masked]>,
>>      <[email-masked]>,  <[email-masked]>
>>  Subject: Re: [Sigtran] A question about M3UA association setup between 1 ASP
>>       and 2 SGP
>>

---

From: Chris Benson <[email-masked]>
Date: Thu, 14 Apr 2011 11:23:25 -0700 (PDT)

David,

Please ignore my question regarding NOTIFY and SHOULD.
I was accidentally viewing a file named rfc3332_bis
- an early draft of RFC 4666 instead of the real 3332.
(Thanks Andrew B.).

However, this difference provides me with the information
that probably led to your "rfc3332 doesn't work".

Thanks from Chris Benson.

On Thu, 14 Apr 2011, Chris Benson wrote:

>>  Date: Thu, 14 Apr 2011 10:34:38 -0700 (PDT)
>>  From: Chris Benson <[email-masked]>
>>  To: David Laight <[email-masked]>
>>  Cc:  <[email-masked]>,
>>      mosbah abdelkader <[email-masked]>,  <[email-masked]>

---

From: mosbah abdelkader <[email-masked]>
Date: Fri, 15 Apr 2011 10:29:12 +0100

Chris,

Could you please clarify what you have understood :).

Thks.